# PInterfaceFilter Class Reference

`#include <psockbun.h>`

Inheritance diagram for PInterfaceFilter:

List of all members.

## Public Member Functions

virtual PIPSocket::InterfaceTable | FilterInterfaces (const PIPSocket::Address &destination, PIPSocket::InterfaceTable &interfaces) const =0

## Member Function Documentation

virtual PIPSocket::InterfaceTable PInterfaceFilter::FilterInterfaces | ( | const PIPSocket::Address & | destination,
|  | PIPSocket::InterfaceTable & | interfaces |
| ) |  |  | const`[pure virtual]`

The documentation for this class was generated from the following file:

- psockbun.h